Package docking.widgets.table.constraint.dialog

# Class ColumnFilterDialog<R>

java.lang.Object
docking.DialogComponentProvider
docking.ReusableDialogComponentProvider
docking.widgets.table.constraint.dialog.ColumnFilterDialog<R>

Type Parameters:
  `R` - the row type of the table being filtered.

All Implemented Interfaces:
  `ActionContextProvider`, `TableFilterDialogModelListener`, `StatusListener`, `TaskListener`

public class ColumnFilterDialog<R> extends ReusableDialogComponentProvider implements TableFilterDialogModelListener
Dialog for creating and editing column table filters.

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnFilterDialog(GTableFilterPanel<R> gTableFilterPanel, JTable table, RowObjectFilterModel<R> tableModel)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `applyCallback()`
  The callback method for when the "Apply" button is pressed.
  `void`
  `close()`
  `protected void`
  `dialogClosed()`
  Override this method if you want to do something when the dialog is made invisible
  `void`
  `editorValueChanged(ColumnConstraintEditor<?> editor)`
  Invoked when the user types into an editor component.
  `void`
  `filterChanged(ColumnBasedTableFilter<R> newFilter)`
  `static <R> boolean`
  `hasFilterableColumns(JTable table, RowObjectFilterModel<R> model)`
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `void`
  `setCloseCallback(Callback callback)`
  The callback to call when the "Apply" or "Ok" button is pressed.
  `void`
  `structureChanged()`
  Invoked when any change to the structure of the ColumnFilterModel occurs such as adding entries

  ### Methods inherited from class docking.ReusableDialogComponentProvider

  `dispose`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, dialogShown, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColumnFilterDialog

    public ColumnFilterDialog(GTableFilterPanel<R> gTableFilterPanel, JTable table, RowObjectFilterModel<R> tableModel)
    Constructor
    Parameters:
      `gTableFilterPanel` - the GTableFilterPanel that launched this dialog.
      `table` - the table being filtered.
      `tableModel` - the table model.

- ## Method Details

  - ### hasFilterableColumns

    public static <R> boolean hasFilterableColumns(JTable table, RowObjectFilterModel<R> model)

  - ### close

    public void close()
    Overrides:
      `close` in class `ReusableDialogComponentProvider`

  - ### dialogClosed

    protected void dialogClosed()
    Description copied from class: `DialogComponentProvider`
    Override this method if you want to do something when the dialog is made invisible
    Overrides:
      `dialogClosed` in class `DialogComponentProvider`

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### applyCallback

    protected void applyCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "Apply" button is pressed.
    Overrides:
      `applyCallback` in class `DialogComponentProvider`

  - ### filterChanged

    public void filterChanged(ColumnBasedTableFilter<R> newFilter)

  - ### setCloseCallback

    public void setCloseCallback(Callback callback)
    The callback to call when the "Apply" or "Ok" button is pressed.
    Parameters:
      `callback` - the callback to execute to apply the filter.

  - ### editorValueChanged

    public void editorValueChanged(ColumnConstraintEditor<?> editor)
    Description copied from interface: `TableFilterDialogModelListener`
    Invoked when the user types into an editor component.
    Specified by:
      `editorValueChanged` in interface `TableFilterDialogModelListener`
    Parameters:
      `editor` - the editor whose component has changed.

  - ### structureChanged

    public void structureChanged()
    Description copied from interface: `TableFilterDialogModelListener`
    Invoked when any change to the structure of the ColumnFilterModel occurs such as adding entries
    Specified by:
      `structureChanged` in interface `TableFilterDialogModelListener`